
Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	7.0
License:	GPLv3
Group:		Networking/Other
Release:	%mkrel 1
URL:		https://www.samba.org/linux-cifs/cifs-utils/
Source0:	https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.xz
Patch0:		cifs-utils-6.12-no-mount-smb3.patch
Patch1:		cifs-utils-6.11-smb2-quota-python-shebang.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python3-docutils
BuildRequires:	pkgconfig(talloc)
BuildRequires:	lib64cap-ng-devel
BuildRequires:	keyutils-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	gnupg2
BuildRequires:	pam-devel
BuildRequires:	lib64wbclient-devel
Recommends:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0
Requires:	keyutils

%description
Tools for Managing Linux CIFS Client Filesystems.

%package	devel
Summary:	Files needed for building plugins for cifs-utils
Group:		Development/Libraries

%description	devel
This package contains the header file necessary for building ID mapping
plugins for cifs-utils.

%prep

%setup -q
%apply_patches

%build
%serverbuild

autoreconf -fi
%configure2_5x \
    --sbindir=%{_sbindir} \
    --enable-cifsacl \
    --enable-cifsidmap

%make_build

%install
rm -rf %buildroot
%make_install

#compatible symlinks
ln -fs /bin/umount %{buildroot}%{_bindir}/umount.cifs
ln -fs /bin/umount %{buildroot}%{_sbindir}/umount.cifs
ln -fs /bin/umount %{buildroot}/sbin/umount.cifs

#compatible symlinks
ln -fs /sbin/mount.cifs %{buildroot}/usr/sbin/mount.cifs
ln -fs /sbin/mount.cifs %{buildroot}/usr/bin/mount.cifs

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_libdir}/%{name}/idmapwb.so %{buildroot}%{_sysconfdir}/%{name}/idmap-plugin

mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d
cp contrib/request-key.d/README contrib/request-key.d/README.keyutils-1.5.5

%files
%config(noreplace) %{_sysconfdir}/%{name}/idmap-plugin
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/cifscreds
%{_bindir}/*etcifsacl
%{_bindir}/smbinfo
%{_bindir}/smb2-quota
%{_sbindir}/cifs.upcall
%{_sbindir}/cifs.idmap
%{_libdir}/%{name}/idmapwb.so
%{_libdir}/security/pam_cifscreds.so
%{_bindir}/mount.cifs
%{_bindir}/umount.cifs
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/cifs.idmap.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/idmapwb.8*
%{_mandir}/man8/pam_cifscreds.8*
%{_mandir}/man1/*etcifsacl.1*
%{_mandir}/man1/cifscreds.1*
%{_mandir}/man1/smbinfo.1*
%{_mandir}/man1/smb2-quota.1*

/sbin/mount.cifs
/sbin/umount.cifs
/usr/sbin/umount.cifs

/sbin/mount.cifs
/usr/sbin/mount.cifs
/usr/bin/mount.cifs

%files devel
%{_includedir}/cifsidmap.h


%changelog
* Thu Feb 09 2023 tex - 7.0-1pclos2023
- new version

* Fri Jan 01 2021 tex - 6.11-1pclos2020
- new version
